[PACKAGE]: ../../raw/master/mkp/checkpoint_remoteaccess-0.2.0-20230529.mkp "checkpoint_remoteaccess-0.2.0-20230529.mkp"
# RemoteAccess

 Monitors status of Check Point RemoteAccess VPN connections

---
### Check Info

* *service*: this check creates the service *Remote Access* on the Check Point gateway

* *state*:\
    **warning** if a RemoteAccess User with bad encryption (DES, 3DES, CAST, 3IDEA, NULL) is found\
    **warning/critical** if number of remote access users is above configured levels

* *wato*:
    * warning/critical level for number of remote access users
    * number of max. expected remote access users (used as max. for perfdata)

* *perfdata*: (all metrics are *count*)
    * RA users connected
    * RA users active
    * RA users destroy
    * RA users idle
    * RA users phase1
    * RA users down
    * RA users init
    * RA users with bad encryption
    * RA users with office mode
    * RA users with IKE over TCP
    * RA users with UDP encapsulation
    * RA users in visitor mode

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

WATO options

![WATO options](img/wato.png?raw=true "WATO options")
